/*
 * Copyright (c) 2012 TopCoder, Inc. All rights reserved.
 * 
 */

/**
 * UI scripts for the main page.
 * 
 * @author liuliquan, hanno
 * @version 1.0
 */

/**
 * Set up the UI logic.
 */
$(function () {
    $(".hint").focus(function () {
        var hint = $(this);
        var val = $(this).val();
        if ($(this).hasClass("hint")) {
            $(this).val("");
            $(this).removeClass("hint");
            $(this).blur(function () {
                if (hint.val() == "" || hint.val() == val) {
                    hint.addClass("hint");
                    hint.val(val);
                }
            })
        }
    });

    $('.expandCollapseBar').click(function () {
        if ($(this).hasClass('expandCollapseBarClicked')) {
            // bar is already open. Close it.
            $('.expandCollapseBar').removeClass('expandCollapseBarClicked');
            $('.sub').slideUp();
        } else {
            // bar is closed. Open it.
            $('.expandCollapseBar').removeClass('expandCollapseBarClicked');
            $('.sub').slideUp();
            $(this).siblings('.sub').slideDown();
            $(this).addClass('expandCollapseBarClicked');
        }
    });
    // forms
    if ($('body').find('.formElement').length > 0) {
        $('.formElement').jqTransform({
            imgPath : 'i/forms/'
        });
    }

});