<%--
  - Author: hanno
  - Version: 1.0
  - Copyright (C) 2012 TopCoder Inc., All Rights Reserved.
  -
  - Description: This is the jsp where admins can upload files.
  -
  -  It also provides the options to specify the load type:
  -  a) If loadType is COMPLETE, the existing data will be replaced with the newly uploaded data
  -  b) If loadType is INCREMENTAL, then if the entity ID of a set of newly uploaded data matches
  -     an existing entity ID in the data source, the existing entity data is replaced by the
  -     new data. If the new entity ID does not exist, a new entity is created.
--%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<jsp:include page="common/commonJS.jsp" />
</head>
<body>
  <h1>FARS Bing Map Mashup</h1>
  <form method="POST" enctype="multipart/form-data" action="upload.do">
    <fieldset>
      <legend>Upload FARS Data</legend>
      <table>
        <tr>
          <td><label for="uploadFile">File</label><br /></td>
          <td><input name="uploadFile" type="file" style="width: 500px" /></td>
        </tr>
        <tr>
          <td><label for="incremental">Type</label><br /></td>
          <td><select name="uploadType"><option value="COMPLETE">COMPLETE</option>
              <option value="INCREMENTAL">INCREMENTAL</option></select></td>
        </tr>
        <tr>
          <td></td>
          <td><input type="submit" value="submit" /></td>
        </tr>
      </table>
    </fieldset>
  </form>
</body>
</html>
